### Method

# Phosh BtManager connect_device_async

#### Declaration [src]

    void
    phosh_bt_manager_connect_device_async (
      PhoshBtManager* self,
      BluetoothDevice* device,
      gboolean connect,
      GAsyncReadyCallback callback,
      GCancellable* cancellable,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `phosh_bt_manager_connect_device_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`device`

  Type: `BluetoothDevice`

  No description available.

  The data is owned by the caller of the method.

`connect`

  Type: `gboolean`

  No description available.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.